% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SPARRAfairness_functions.R
\name{getprc}
\alias{getprc}
\title{getprc()}
\usage{
getprc(y, ypred, cv = NULL, res = 100)
}
\arguments{
\item{y}{class labels, 0/1 or logical}

\item{ypred}{predictions Pr(Y=1), numeric vector}

\item{cv}{cross-validation fold assignments, if relevant. Changes estimate of standard error.}

\item{res}{resolution. Returns this many equally-spaced points along the curve. Set res to null to return all points.}
}
\value{
list containing: ppv, ppv for res points in every cv fold; sens, sensitivity for res points in every cv fold; auc, areas under the curve for each fold and average (note length is 1 greater than number of CV folds); se, standard error for AUC in each fold and standard error for average auc (note length is 1 greater than number of CV folds)
}
\description{
Comprehensive plotting function for precision-recall curve. Also calculates AUPRC and standard error.
}
\details{
Rather than returning points corresponding to every cutoff, only returns a representative sample of equally-spaced points along the curve.

Does not plot anything. Object can be plotted in a default way.
}
\examples{
# See vignette
}
